﻿@model EMartVG.Models.Usuarios

@{
    ViewBag.Title = "CreaAdmin";
}

<h2 class="font-weight-bolder text-center" style="color:white; opacity:0.8;background-color:black">Panel de Administración</h2>
<nav aria-label="breadcrumb">
    <ol class="breadcrumb" style="color: white;opacity: 0.8;background-color: black">
        <li class="breadcrumb-item"><a href="~/Admin/CreaMarcas/" style="color:white">Panel de Administración</a></li>
        <li class="breadcrumb-item"><a href="~/Admin/CreaAdmin/" style="color:white">Administradores</a></li>
        <li class="breadcrumb-item active" aria-current="~/Admin/CreaAdmin/">Crear Administrador</li>
    </ol>
</nav>

<div class="card text-center" style="background-color:black">
    <div class="card-header">
        <ul class="nav nav-tabs card-header-tabs">
            <li class="nav-item">
                <a class="nav-link" style="color:white" href="~/Admin/CreaMarcas/">Marcas</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" style="color:white" href="~/Admin/CreaCategoria/">Categorías</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaProducto">Productos</a>
            </li>
            <li class="nav-item">
                <a class="nav-link active font-weight-bolder" style="background-color:white ; color: black" href="~/Admin/CreaAdmin/">Administradores</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/ListarVentas/">Ventas</a>
            </li>
        </ul>
    </div>
    <div class="card-body">
        <div class="card text-center" style="background-color:whitesmoke">
            <div class="card-header">
                <ul class="nav nav-tabs card-header-tabs">
                    <li class="nav-item">
                        <a class="nav-link active" style="color:white;background-color:black" href="~/Admin/CreaAdmin/">Nuevo Administrador</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Admin/EditaAdmin">Editar Administrador</a>
                    </li>
                </ul>
            </div>
            <div class="card-body text-left">
                <h5 class="card-title">Ingrese datos de nuevo administrador</h5>
                <form method="post">
                    <div class="form-horizontal">

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Primer Nombre:</label>
                                <input type="text" name="Primer_Nombre" id="Primer_Nombre" class="form-control" maxlength="50" />
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Segundo Nombre:</label>
                                <input type="text" name="Segundo_Nombre" id="Segundo_Nombre" class="form-control" maxlength="50"/>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Apellido Paterno:</label>
                                <input type="text" name="Primer_Apellido" id="Primer_Apellido" class="form-control"  maxlength="50"/>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Apellido Materno:</label>
                                <input type="text" name="Segundo_Apellido" id="Segundo_Apellido" class="form-control"  maxlength="50"/>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Run:</label>
                                <input type="text" name="Run" id="Run" class="form-control" oninput="checkRut(this)" />
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Email:</label>
                                <input type="text" name="Email" required id="Email" class="form-control"  maxlength="50"/>
                                @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Password:</label>
                                <input type="password" name="Password" id="Password" class="form-control"  maxlength="50"/>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Confirma Password:</label>
                                <input type="password" name="ConfirmaPassword" id="ConfirmaPassword" class="form-control"  maxlength="50"/>
                            </div>
                        </div>


                        <div class="form-group">
                            <div class="col-md-offset-2 col-md-10">
                                <input type="submit" id="btnSubmit" value="Registrar Admin" class="btn btn-dark" />
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>

    </div>
</div>



@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/SweetAlert.js"></script>
    <script src="~/Scripts/Validaciones/Valida.js"></script>
    
    <script>

        $("#btnSubmit").click(function (e) {
            let emailRegex = /^(([^<>()[\]\.,;:\s@@\"]+(\.[^<>()[\]\.,;:\s@@\"]+)*)|(\".+\"))@@(([^<>()[\]\.,;:\s@@\"]+\.)+[^<>()[\]\.,;:\s@@\"]{2,})$/i;
            let error = "";

            if (!$("#Primer_Nombre").val()) {
                error = "Debe ingresar su primer nombre \n";
            }
            if (!$("#Segundo_Nombre").val()) {
                error += "Debe ingresar su segundo nombre \n";
            }
            if (!$("#Primer_Apellido").val()) {
                error += "Debe ingresar su apellido paterno \n";
            }
            if (!$("#Segundo_Apellido").val()) {
                error += "Debe ingresar su apellido materno \n";
            }
            if (!$("#Run").val()) {
                error += "Debe ingresar su RUN \n";
            }
            if (!emailRegex.test($("#Email").val())) {
                error += "Email en formato incorrecto \n";
            } 
            if ($("#Password").val().length < 3) {
                error += "El password debe tener al menos 3 caracteres \n";
            }
            if ($('#Password').val() != $('#ConfirmaPassword').val()) {
                error += "Los passwords no son iguales  \n";
            }
            if (error != "") {
                e.preventDefault();
                swal("Información  incompleta", error, "error");
            }
        });
    </script>
}


